curl --request POST \
--url https://api.eflow.team/v1/networks/offerstable \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"search_terms": [
{
"search_type": "name",
"value": ""
}
],
"filters": {
"offer_status": "active"
}
}
'{
"offers": [
{
"network_offer_id": 123,
"network_id": 123,
"network_advertiser_id": 123,
"network_offer_group_id": 123,
"name": "<string>",
"offer_status": "active",
"thumbnail_url": "<string>",
"visibility": "public",
"currency_id": "<string>",
"destination_url": "<string>",
"encoded_value": "<string>",
"project_id": "<string>",
"is_force_terms_and_conditions": true,
"labels": [
"<string>"
],
"payout": "<string>",
"revenue": "<string>",
"caps_timezone_id": 123,
"daily_conversion_cap": 123,
"weekly_conversion_cap": 123,
"monthly_conversion_cap": 123,
"global_conversion_cap": 123,
"daily_click_cap": 123,
"weekly_click_cap": 123,
"monthly_click_cap": 123,
"global_click_cap": 123,
"daily_payout_cap": 123,
"weekly_payout_cap": 123,
"monthly_payout_cap": 123,
"global_payout_cap": 123,
"daily_revenue_cap": 123,
"weekly_revenue_cap": 123,
"monthly_revenue_cap": 123,
"global_revenue_cap": 123,
"payout_percentage": 123,
"revenue_percentage": 123,
"category": "<string>",
"channels": [
{}
],
"network_advertiser_name": "<string>",
"optimized_thumbnail_url": "<string>",
"payout_amount": 123,
"payout_type": "<string>",
"revenue_amount": 123,
"revenue_type": "<string>",
"today_clicks": 123,
"today_payout_amount": 123,
"today_revenue": "<string>",
"today_revenue_amount": 123,
"time_created": 1734455015,
"time_saved": 1734455015,
"relationship": {
"remaining_caps": {},
"visibility": {},
"ruleset": {},
"tracking_domain": {},
"urls": {},
"affiliate_tier_infos": [
{}
],
"account_manager": {},
"sales_manager": {},
"is_dmo": true,
"demand_partner": {},
"forensiq": {},
"twentyfour_metrics": {},
"ip_quality_score": {},
"optizmo": {},
"unsubcentral": {},
"offer_html_description": "<string>"
}
}
],
"paging": {
"page": 123,
"page_size": 123,
"total_count": 123
}
}Offers
Find Offers (Advanced)
POST
/
networks
/
offerstable
curl --request POST \
--url https://api.eflow.team/v1/networks/offerstable \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"search_terms": [
{
"search_type": "name",
"value": ""
}
],
"filters": {
"offer_status": "active"
}
}
'{
"offers": [
{
"network_offer_id": 123,
"network_id": 123,
"network_advertiser_id": 123,
"network_offer_group_id": 123,
"name": "<string>",
"offer_status": "active",
"thumbnail_url": "<string>",
"visibility": "public",
"currency_id": "<string>",
"destination_url": "<string>",
"encoded_value": "<string>",
"project_id": "<string>",
"is_force_terms_and_conditions": true,
"labels": [
"<string>"
],
"payout": "<string>",
"revenue": "<string>",
"caps_timezone_id": 123,
"daily_conversion_cap": 123,
"weekly_conversion_cap": 123,
"monthly_conversion_cap": 123,
"global_conversion_cap": 123,
"daily_click_cap": 123,
"weekly_click_cap": 123,
"monthly_click_cap": 123,
"global_click_cap": 123,
"daily_payout_cap": 123,
"weekly_payout_cap": 123,
"monthly_payout_cap": 123,
"global_payout_cap": 123,
"daily_revenue_cap": 123,
"weekly_revenue_cap": 123,
"monthly_revenue_cap": 123,
"global_revenue_cap": 123,
"payout_percentage": 123,
"revenue_percentage": 123,
"category": "<string>",
"channels": [
{}
],
"network_advertiser_name": "<string>",
"optimized_thumbnail_url": "<string>",
"payout_amount": 123,
"payout_type": "<string>",
"revenue_amount": 123,
"revenue_type": "<string>",
"today_clicks": 123,
"today_payout_amount": 123,
"today_revenue": "<string>",
"today_revenue_amount": 123,
"time_created": 1734455015,
"time_saved": 1734455015,
"relationship": {
"remaining_caps": {},
"visibility": {},
"ruleset": {},
"tracking_domain": {},
"urls": {},
"affiliate_tier_infos": [
{}
],
"account_manager": {},
"sales_manager": {},
"is_dmo": true,
"demand_partner": {},
"forensiq": {},
"twentyfour_metrics": {},
"ip_quality_score": {},
"optizmo": {},
"unsubcentral": {},
"offer_html_description": "<string>"
}
}
],
"paging": {
"page": 123,
"page_size": 123,
"total_count": 123
}
}Retrieve a paginated list of offers. Supports search filters, sorting, and pagination to help you find and browse offers programmatically. Use query parameters
page and page_size to control pagination.
Supports the relationship query parameter with the following values: visibility, ruleset, tracking_domain, urls, affiliate_tier, account_manager, sales_manager, dmo.Authorizations
The Everflow API key generated from the Control Center > Security.
Query Parameters
Page number (1-based).
Number of results per page (max 2000).
Required range:
x <= 2000Include related data in the response. Repeat for multiple relationships. Use all to include everything. 24metrics and ipqualityscore populate relationship.twentyfour_metrics and relationship.ip_quality_score. An unrecognised value is ignored.
Available options:
all, visibility, ruleset, tracking_domain, urls, affiliate_tier, account_manager, sales_manager, dmo, offer_description, forensiq, 24metrics, ipqualityscore, optizmo, unsubcentral Body
application/json
Text search filters. Each entry searches a specific field.
Show child attributes
Show child attributes
Only return these specific offer IDs.
Exclude these specific offer IDs from results.
When true, the included offer IDs override all other filters.
Structured filters to narrow results.
Show child attributes
Show child attributes
Was this page helpful?
